package com.qmth.themis.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.themis.business.entity.TEExam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @Description: 考试批次 Mapper 接口
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@Mapper
public interface TEExamMapper extends BaseMapper<TEExam> {

    /**
     * 查询考试批次
     *
     * @param iPage
     * @param id
     * @param code
     * @param name
     * @param mode
     * @param enable
     * @return
     */
    public IPage<TEExam> examQuery(IPage<Map> iPage, @Param("id") Long id, @Param("code") String code, @Param("name") String name, @Param("mode") Integer mode, @Param("enable") Integer enable);
}
