package com.qmth.themis.business.config;

import java.io.File;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

import org.springframework.stereotype.Component;

/**
 * @Description: 
 * @Author: xiatian
 * @Date: 2020-07-21
 */
@Component
public class SysConfig {

    public String getTempDir() {
    	String backendProject = "backend",
    			taskProject = "task",
    			backendPath = "com.qmth.themis.backend.constant.BackendConstant",
    			taskPath = "com.qmth.themis.task.constant.TaskConstant",
    			methodName = "getTempDir";
        try {
            String path = this.getClass().getResource(File.separator).getPath();
            Class clazz = null;
            try {
                if (path.contains(backendProject)) {
                    clazz = Class.forName(backendPath);
                } else if (path.contains(taskProject)) {
                    clazz = Class.forName(taskPath);
                }
            } catch (ClassNotFoundException e) {
                e.printStackTrace();
            }
            Object o = clazz.newInstance();
            Method method = clazz.getDeclaredMethod(methodName);
            return (String) method.invoke(o);
        } catch (NoSuchMethodException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e) {
            e.printStackTrace();
        } catch (InstantiationException e) {
            e.printStackTrace();
        }
        return null;
    }
}
